%define LANG russian
Name: rdj
Version: 0.3.2
Release: alt5
Serial: 1

License: GPL
Url: http://mimms.sourceforge.net/
Summary: gtk+ radio program for Video4Linux users
Summary(ru_RU.CP1251): gtk+     -    Video4Linux
Group: Sound
Packager: Aleksandr Blokhin <sass@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: rdj_menuentry
Source2: rdj

Patch0: %name-%version-makefile.patch.gz
Patch1: %name-%version-lang_russian.patch
Patch2: %name-%version-desktop_entry.patch

Provides: %name

# Automatically added by buildreq on Mon Feb 03 2003
BuildRequires: XFree86-devel esound-devel gcc-c++ glib-devel gnome-libs-devel gtk+-devel 
BuildRequires: imlib-devel libaudiofile-devel libdb1-devel libstdc++-devel

%description
This in a gtk+ radio interface for bttv video devices with radio tuners.
Scanning, station editing, using devices radio0-3, setting a default station,
and having unlimited stations are fully supported. Also, you can start your
favorite television app and mixer from it.

%description -l ru_RU.CP1251
%name  gtk+      bttv,  -.
:
	    o  
	    o    
	    o    (radio0-3)
	    o  ,   
	    o    rdj       .

%package console
Summary: Radio program for video4linux users
Summary(ru_RU.CP1251):      -    Video4Linux
Group: Sound

%description console
%name is radio interface for bttv video devices with radio tuners.
Scanning, station editing, using devices radio0-3, setting a default station,
and having unlimited stations are fully supported.

%description console -l ru_RU.CP1251
%name       bttv,  -.
:
	    o  
	    o    
	    o    (radio0-3)

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make_build -C src LANG=%LANG %name

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_man1dir,%_iconsdir}
%__mkdir_p $RPM_BUILD_ROOT%_datadir{/gnome/apps/Multimedia/Sound,/%name/xpm,/applnk/Multimedia/Sound}
%__install -p -m664 -D %SOURCE1 $RPM_BUILD_ROOT%_menudir/RadioDJ
%__install -p -m664 %{name}_icon.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -p -m664 xpm/* $RPM_BUILD_ROOT%_datadir/%name/xpm/

%makeinstall -C src
%__install -p -m755 src/%name $RPM_BUILD_ROOT%_bindir/xrdj
%__install -p -m755 %SOURCE2 $RPM_BUILD_ROOT%_bindir

%post
%update_menus

%postun
%clean_menus

%files
%doc README COPYING ChangeLog KNOWN_BUGS Languages
%dir %_datadir/%name
%dir %_datadir/%name/xpm
%_bindir/%name
%_bindir/xrdj
%_bindir/%{name}_scan
%_datadir/%name/xpm/*
%_iconsdir/%name.xpm
%_menudir/RadioDJ
%_datadir/gnome/apps/Multimedia/Sound/rdj.desktop
%_datadir/applnk/Multimedia/Sound/rdj.kdelnk
%_man1dir/%name.1.gz

%files console
%doc %_docdir/%name-%version
%_bindir/%{name}_term
%_bindir/fscan
%_man1dir/%name.1.gz

%changelog
* Mon Feb 03 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:0.3.2-alt5
- Added LANG wrapper
- Updated %%BuildRequires

* Thu Nov 14 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:0.3.2-alt4
- Added genericname for menu

* Sun Oct 06 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:0.3.2-alt3
- changed names of patches in according with ALT Specfile Conventions
- updated rdj-0.3.2-makefile.patch for gcc-3.2 build capability
- updated Summary & description tags; added Packager tag
- updated spec

* Fri Jun 14 2002 Aleksandr Blokhin <sass@altlinux.ru> 0.3.2-alt2
- Fallback on the previous version as result of errors

* Fri Apr 03 2002 Aleksandr Blokhin <sass@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Fri Jan 13 2002 Aleksandr Blokhin <sass@altlinux.ru> 0.3.2-alt3
- renaming packages to another name's
- changed menu locations
- changes in spec
- added desktop patch

* Wed Jan 09 2002 Aleksandr Blokhin <sass@altlinux.ru> 0.3.2-alt2
- added Summary & description in CP1251 encoding

* Wed Dec 26 2001 Aleksandr Blokhin <sass@altlinux.ru> 0.3.2-alt1
- First ALT Linux release
